Commit a95d7efd authored by Natanael Copa's avatar Natanael Copa

main/irssi: security upgrade to 1.2.1 (CVE-2019-13045)

fixes #10654
parent 35071c4a
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=irssi
pkgver=1.2.0
pkgrel=1
pkgver=1.2.1
pkgrel=0
pkgdesc="Modular textUI IRC client with IPv6 support"
url="https://irssi.org/"
arch="all"
......@@ -13,6 +13,8 @@ source="https://github.com/$pkgname/$pkgname/releases/download/$pkgver/$pkgname-
builddir="$srcdir"/$pkgname-$pkgver
# secfixes:
# 1.2.1-r0:
# - CVE-2019-13045
# 1.1.2-r0:
# - CVE-2019-5882
# 1.0.3-r0:
......@@ -99,4 +101,4 @@ otr() {
mv "$pkgdir"/usr/share/irssi/help/otr "$subpkgdir"/usr/share/irssi/help/
}
sha512sums="343530ca63355dd6683e84f31602c9162e1e3158e52ce81e37519d1e42abbdcb621fb710fcb605fcafd7e7ea3f2c30ed62607d4ea91d8c8dc29bf893e54aee40 irssi-1.2.0.tar.xz"
sha512sums="67c4501b5a0055c1b24fa6753305658de809cd66e952e6f9233701a112989fd8721a065b1c681725b82346b40b53a29bd2b6b8b8315ac0ad196235a9e5156d5a irssi-1.2.1.tar.xz"
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment